#!/bin/bash

#
#
##### script de modif de /etc/profile afin que la machine passe par un proxy #####
##### positionne egalement le proxy des clients FF 
#  * @Version 01/2019 - keyser
#  * @Projet LCS / SambaEdu
#  * @Auteurs Equipe Sambaedu
#  * @Licence Distribue sous la licence GPL
#  * @Repertoire: scripts
#  * file: modifProxy.sh
#  */


function usage() {
echo "Modifie $profile_file pour ajouter la conf d'un proxy"
echo "Usage : modifProxy.sh"
exit 0
}

function check_params() {
if [ -n "$config_proxy_address" ] && [ -z "$config_proxy_port" ];then
    echo "Paramètres incorrect"
    exit 1
fi
}

function clean_old_params() {
sed -i '/http_proxy=/d' $profile_file
sed -i '/https_proxy=/d' $profile_file
sed -i '/ftp_proxy=/d' $profile_file
sed -i '/^export http_proxy/d' $profile_file
sed -i '/^http_proxy/d' $wgetrc_file
sed -i '/^https_proxy/d' $wgetrc_file

}

function set_profile_params() {
echo "http_proxy=\"http://$1\"" >> $profile_file
echo "https_proxy=\"http://$1\"" >> $profile_file
echo "ftp_proxy=\"http://$1\"" >> $profile_file
echo "export http_proxy https_proxy ftp_proxy" >> $profile_file
echo "http_proxy = http://$1" >> $wgetrc_file
echo "https_proxy = http://$1" >> $wgetrc_file
}


# function set_firefox_params() {
# 
# }
# vars 
profile_file="/etc/profile"
old_proxy="$(grep "http_proxy=" $profile_file)" 
wgetrc_file="/etc/wgetrc"

#proxy_ip=$(echo $1 | cut -d: -f1)
#proxy_port=$(echo $1 | cut -d: -f2)

source /usr/share/sambaedu/includes/config.inc.sh

## Début du script ##

#if [ "$1" = "--help" -o "$1" = "-h" ]; then
#    usage
#fi

# controle des paramètres
#check_params

# Si on a deja un proxy on nettoie l'existant'
clean_old_params
if [ "$config_server_proxy" == 1 ]; then
	check_params
	set_profile_params $config_proxy_address:$config_proxy_port
fi
exit 0

# On ajoute ce qui a été passé en parametres
if [ -n "$1" ]; then
    set_profile_params $1
    set_config sambaedu proxy_url "$proxy_ip:$proxy_port" "url du proxy pour le navigateur" 1
    set_config sambaedu proxy_type "1" "type du proxy (param IE / aucun / manuel / url auto" 1
else
    set_config sambaedu proxy_url "" "url du proxy pour le navigateur" 1
    set_config sambaedu proxy_type "0" "type du proxy (param IE / aucun / manuel / url auto" 1
fi

## Archive ancinne version a transposer sur SE4 ???? ##
#modif proxy firefox
# rm -f /etc/skel/user/profil/appdata/Mozilla/Firefox/Profiles/default/prefs.js 
# cp /etc/skel/user/profil/appdata/Mozilla/Firefox/Profiles/default/prefs.js.in /etc/skel/user/profil/appdata/Mozilla/Firefox/Profiles/default/prefs.js 
# PREF_JS_FF="/etc/skel/user/profil/appdata/Mozilla/Firefox/Profiles/default/prefs.js"

### Ajouter lancement profil FF
# /usr/share/se3/scripts/deploy_mozilla_ff_final.sh shedule

# set_config sambaedu firefox_use_ie "default" "Firefox utilise ou non les param proxy de IE" 1
exit 0

